
Redmine - Feature #4932

Inheritence of Versions to Subprojects - shared between Immediate parent & all its childs

2010-02-25 15:23 - Nanda P

Status: Closed Start date: 2010-02-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: No feedback   

Description

---------------------------------------------------------------------------------

| None          | Subprojects   | Hierarchy     | Tree          | All projects  |

|               |               |               |               |               |

|      X     X  |      X     X  |      o     X  |      o     X  |      o     o  |

|      |     |  |      |     |  |      |     |  |      |     |  |      |     |  |

|    --X--   X  |    --X--   X  |    --o--   X  |    --o--   X  |    --o--   o  |

|   /  |  \     |   /  |  \     |   /  |  \     |   /  |  \     |   /  |  \     |

|  X   O   X    |  X   O   X    |  X   O   X    |  o   O   o    |  o   O   o    |

|     / \       |     / \       |     / \       |     / \       |     / \       |

|    X   X      |    o   o      |    o   o      |    o   o      |    o   o      |

|   /           |   /           |   /           |   /           |   /           |

|  X            |  o            |  o            |  o            |  o            |

---------------------------------------------------------------------------------

O = project with the shared version

o = projects that can assign issues to the shared version

X = projects that can't assigne issues to the shared version

 We already have the about Version sharing levels. It will be nice to have the following as well.

      -------------------

      |                 |

      |                 |

      |       X      X  |

      |       |         |

      |    -- o --   X  |

      |   /   |   \     |

      |  o    O    o    |

      |      / \        |

      |     o   o       |

      |    /            |

      |   o             |

      -------------------

Versions shared between Immediate parent & all its childs

 Related : #465

Related issues:

Related to Redmine - Feature #465: Inheritence of Versions to Subprojects Closed

History

#1 - 2010-09-12 15:16 - Jean-Baptiste Barth

- Assignee deleted (Jean-Philippe Lang)

- Resolution deleted (Fixed)

Thanks for the ascii arts ;)
https://www.redmine.org/issues/465


I don't really understand the case : to obtain the last one you show, you could define the version in its immediate parent and share it with subprojects.

What's wrong with this approach ?

#2 - 2011-10-26 20:57 - Mischa The Evil

I agree with Jean-Baptiste, why add another sharing-level while its result can be achieved with the available ones?

In the light of the above and the lack of feedback from the issue-author I suggest to close this issue as "Wont fix". Any other opinions?

#3 - 2011-10-27 09:52 - Etienne Massip

- Status changed from New to Closed

- Resolution set to No feedback

Agreed too and JB asked for feedback more than a year ago.
